Cut a source in the cell
curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/sources/{source_id}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://{space}.{region}.api.niadra.com/v1/sources/{source_id}/revoke"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{space}.{region}.api.niadra.com/v1/sources/{source_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "0192f79e-11aa-7b20-9f3e-6c1d2e4f5a60",
"revoked_at": "2026-09-22T18:00:02Z",
"revoked_key_ids": [
"k7Q2mX9a",
"p3Lw8Zc1"
]
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Sources
Cut a source in the cell
Every key of the source stops authenticating in this cell within seconds.
POST
/
v1
/
sources
/
{source_id}
/
revoke
Cut a source in the cell
Authorizations
sourceKeypersonToken
nia_sk_...
Headers
Required string length:
1 - 256
